	
	// JavaScript Document
	function hextodec(hex){//convierte un valor en hexadecimal a decimal
	var pri,seg,dec;
		pri=hex.substr(0,1);
	
		seg=hex.substr(1,1);
	
	
	  if (pri=='A'||pri=='a') 
		  pri=10;
	
		else 
			  if (pri=='B'||pri=='b') 
				  pri=11;
				else
					if (pri=='C'||pri=='c') 
						pri=12;
					else
						if (pri=='D'||pri=='d') 
							pri=13;
						else
							if (pri=='E'||pri=='e') 
								pri=14;
							else
								if (pri=='F'||pri=='f') 
									pri=15;
	
		if (seg=='A'||seg=='a') 
			  seg=10;
		  else 
			  if (seg=='B'||seg=='b') 
				  seg=11;
				else
					if (seg=='C'||seg=='c') 
						seg=12;
					else
						if (seg=='D'||seg=='d') 
							seg=13;
						else
							if (seg=='E'||seg=='e') 
								seg=14;
							else
								if (seg=='F'||seg=='f') 
									seg=15;
	
		dec=16*pri+seg;
	
		return dec;
	 }//HextoDec
	
	function minimo(A,B){
		var m;
		m=A;
		if(A>B)
			m=B;
		
		return m;
	}
	function maximo(A,B){
		var m;
		m=B;
		if(A>B)
			m=A;
		
		return m;
	}
	function fcontrast(color1,color2){//le pasamos $color ke sera con el color ke keremos contrastar
		//calculamos los maximos y minimos de cada componente de los dos colores
	
			var c1R;
			var c1G;
			var c1B;
			var c2R;
			var c2G;
			var c2B;
			var m1;
			var m2;
			var m3;
			var z1;
			var z2;
			var z3;
	var cr;
	var contrast;
	
		c1R=color1.substr(1, 2);
	
			c1R=hextodec(c1R);
	
		c1G=color1.substr(3, 2); 	
			c1G=hextodec(c1G);
	
		c1B=color1.substr(5, 2); 	
			c1B=hextodec(c1B);
	
		c2R=color2.substr(0, 2);
			c2R=hextodec(c2R);
		c2G=color2.substr(2, 2); 	
			c2G=hextodec(c2G);
		c2B=color2.substr(4, 2); 	
			c2B=hextodec(c2B);
	
	
		m1=maximo(c1R,c2R);
		m2=maximo(c1G,c2G);
		m3=maximo(c1B,c2B);
		z1=minimo(c1R,c2R);
		z2=minimo(c1G,c2G);
		z3=minimo(c1B,c2B);	
		
	contrast=(m1-z1) + (m2-z2) + (m3-z3);
	
	return contrast;
	}//fcontrast
	
	function ColorTexto(color){
	
				var Nnegro=fcontrast(color,'000000');
				var Nblanco=fcontrast(color,'FFFFFF');
	var resta=Nnegro-Nblanco;
			if (resta>120) 
				return '000000';
			else
				return 'FFFFFF';
				
	 }//function ValuaContraste	
	/*	var col2='#';
		col2+=ColorTexto(col);
		document.getElementById(nombre).style.color=col2;*/
	function color(col,nombre){
	  document.getElementById(nombre).style.background = col;
		document.getElementById(nombre).style.border="#000 solid 5px";
	
	   document.getElementById("id#"+nombre).value=col;
	}
	function cambiarfont(col,nombre){
	  document.getElementById(nombre).style.color = col;
	   document.getElementById("font#"+nombre).value=col;
/*	var col2='#';
		col2+=ColorTexto(col);
		document.getElementById(nombre).style.color=col2;*/

	   
	}
	function cambiar(nombre){
		document.getElementById(nombre).style.border="#000 solid 5px";
	}
	function cambiaColor(color,div){ 
	   document.bgColor=color;
	   anadir(div,color);
	} 
	function anadir(div,color) {
	
	   document.getElementById("id"+div).value=color;
	
	}
	function tumadre(nombre){
	
	
	
	}